SyncML Session Private API
libsyncml API Internals » Low Level API Internals

Private Interfaces to create, manipulate and delete sessions. More...

Collaboration diagram for SyncML Session Private API:

## Data Structures

struct | SmlSessionCommand

## Typedefs

typedef enum SmlSessionCommandType | SmlSessionCommandType
typedef struct SmlSessionCommand | SmlSessionCommand

## Enumerations

enum | SmlSessionCommandType { SML_SESSION_COMMAND_START, SML_SESSION_COMMAND_END, SML_SESSION_STATUS, SML_SESSION_FLUSH }

## Functions

void | smlSessionDispatchEvent (SmlSession *session, SmlSessionEventType type, SmlCommand *cmd, SmlCommand *parent, SmlStatus *headerreply, SmlError *error)
SmlBool | smlSessionReceiveHeader (SmlSession *session, SmlHeader *header, SmlError **error)
SmlBool | smlSessionDispatchStatus (SmlSession *session, SmlStatus *status, SmlError **error)
SmlBool | smlSessionCheck (SmlSession *session)
SmlBool | smlSessionTryLock (SmlSession *session)
void | smlSessionLock (SmlSession *session)
void | smlSessionUnlock (SmlSession *session)
void | smlSessionDispatch (SmlSession *session)
SmlBool | smlSessionReceiveBody (SmlSession *session, SmlParser *parser, SmlError **error)
void | smlSessionSetEventCallback (SmlSession *session, SmlSessionEventCallback callback, void *userdata)
void | smlSessionSetDataCallback (SmlSession *session, SmlSessionDataCallback callback, void *userdata)
const char * | smlSessionGetSessionID (SmlSession *session)
void | smlSessionSetSessionID (SmlSession *session, const char *sessionID)
SmlProtocolVersion | smlSessionGetVersion (SmlSession *session)
SmlLocation * | smlSessionGetSource (SmlSession *session)
SmlLocation * | smlSessionGetTarget (SmlSession *session)
void | smlSessionRegisterCred (SmlSession *session, SmlCred *cred)

## Detailed Description

Private Interfaces to create, manipulate and delete sessions.